Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nativelibs4java.mono
Class MonoMarshalSpec.data_union

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.Union
              com.ochafik.lang.jnaerator.runtime.Union<MonoMarshalSpec.data_union,MonoMarshalSpec.data_union.ByValue,MonoMarshalSpec.data_union.ByReference>
                  com.nativelibs4java.mono.MonoMarshalSpec.data_union

All Implemented Interfaces:
  StructureType, StructureTypeDependent

Direct Known Subclasses:
  MonoMarshalSpec.data_union.ByReference, MonoMarshalSpec.data_union.ByValue

Enclosing class:
  MonoMarshalSpec

    public static class MonoMarshalSpec.data_union

extends Union<MonoMarshalSpec.data_union,MonoMarshalSpec.data_union.ByValue,MonoMarshalSpec.data_union.ByReference>

Nested Class Summary
`static class` | `MonoMarshalSpec.data_union.array_data_struct`
`static class` | `MonoMarshalSpec.data_union.ByReference`
`static class` | `MonoMarshalSpec.data_union.ByValue`
`static class` | `MonoMarshalSpec.data_union.custom_data_struct`
`static class` | `MonoMarshalSpec.data_union.safearray_data_struct`

Field Summary
`MonoMarshalSpec.data_union.array_data_struct` | `array_data`
`MonoMarshalSpec.data_union.custom_data_struct` | `custom_data`
`MonoMarshalSpec.data_union.safearray_data_struct` | `safearray_data`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`MonoMarshalSpec.data_union()`
`MonoMarshalSpec.data_union(MonoMarshalSpec.data_union.array_data_struct array_data)`
`MonoMarshalSpec.data_union(MonoMarshalSpec.data_union.custom_data_struct custom_data)`
`MonoMarshalSpec.data_union(MonoMarshalSpec.data_union.safearray_data_struct safearray_data)`

Method Summary
`protected MonoMarshalSpec.data_union.ByReference` | `newByReference()`
`protected MonoMarshalSpec.data_union.ByValue` | `newByValue()`
`protected MonoMarshalSpec.data_union` | `newInstance()`

Methods inherited from class com.ochafik.lang.jnaerator.runtime.Union
`byReference, byValue, clone, read, readDependency, setDependency, setupClone, toArray, toArray, toArray, useMemory, write`

Methods inherited from class com.sun.jna.Union
`getNativeAlignment, getTypedValue, readField, setType, setTypedValue, writeField, writeField`

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoRead, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getBitsAnnotation, getFieldOrder, getPointer, getStructAlignment, hashCode, newInstance, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toString, useMemory`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.ochafik.lang.jnaerator.runtime.StructureType
`getPointer, size`

Field Detail

### array_data

    public MonoMarshalSpec.data_union.array_data_struct array_data

### custom_data

    public MonoMarshalSpec.data_union.custom_data_struct custom_data

### safearray_data

    public MonoMarshalSpec.data_union.safearray_data_struct safearray_data

Constructor Detail

### MonoMarshalSpec.data_union

    public MonoMarshalSpec.data_union()

### MonoMarshalSpec.data_union

    public MonoMarshalSpec.data_union(MonoMarshalSpec.data_union.array_data_struct array_data)

### MonoMarshalSpec.data_union

    public MonoMarshalSpec.data_union(MonoMarshalSpec.data_union.custom_data_struct custom_data)

### MonoMarshalSpec.data_union

    public MonoMarshalSpec.data_union(MonoMarshalSpec.data_union.safearray_data_struct safearray_data)

Method Detail

### newByReference

    protected MonoMarshalSpec.data_union.ByReference newByReference()

  Specified by:
    `newByReference` in class `Union<MonoMarshalSpec.data_union,MonoMarshalSpec.data_union.ByValue,MonoMarshalSpec.data_union.ByReference>`

### newByValue

    protected MonoMarshalSpec.data_union.ByValue newByValue()

  Specified by:
    `newByValue` in class `Union<MonoMarshalSpec.data_union,MonoMarshalSpec.data_union.ByValue,MonoMarshalSpec.data_union.ByReference>`

### newInstance

    protected MonoMarshalSpec.data_union newInstance()

  Specified by:
    `newInstance` in class `Union<MonoMarshalSpec.data_union,MonoMarshalSpec.data_union.ByValue,MonoMarshalSpec.data_union.ByReference>`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD